// pages/FirstBangDing/FirstBangDing.js
const app = getApp()

Page({

  /**
   * 页面的初始数据
   */
  data: {
    maxBindCount: 5,
    notices: [
      '部分小区水费由物业代收，请联系小区物业进行咨询缴费操作。'  
    ],
    images: {
      logo: '',
      background: '',
      card: '',
      tzd: "",
      phone: "",
      yl: "",
      jcsfcjtzd: ""
    }
  },
  onLoad(options) {
    // 页面加载时获取图片路径 
    this.setData({
      images: {
        logo: app.globalData.images.logo,
        background: app.globalData.images.background,
        card: app.globalData.images.card,
        tzd: app.globalData.images.tzd,
        phone: app.globalData.images.phone,
        yl: app.globalData.images.yl,
        jcsfcjtzd: app.globalData.images.jcsfcjtzd
      }
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },

  bindAccount() {
    wx.navigateTo({
      url: '/pages/bind/bind'
    })
  },

  switchTab(e) {
    const page = e.currentTarget.dataset.page
    if (page === 'profile') {
      wx.switchTab({
        url: '/pages/profile/profile'
      })
    }
  },

  goToBindHuhao() {
    wx.navigateTo({
      url: '/pages/huhaobangding/huhaobangding'
    })
  }
})